﻿#pragma once
#include "Weapon/LMAmmoType.h"
#include "LMBulletInfo.generated.h"

USTRUCT(BlueprintType)
struct FLMBulletInfo
{
	GENERATED_BODY()

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int BulletCount;
	
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector Origin;
	
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector Direction;
	
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector Spread;
	
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxDistance;
	
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FFloatCurve Falloff;
	
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EAmmoType AmmoType;
	
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float Damage;
};
